
function fixHTML(){
    removeElementsById("ad-platform-tips");//去广告
    removeElementsByClassName("welcome-banner");//去除百度网盘下载提示
    removeElementsByClassName("foot-container");//去除百度网
    removeElementsByClassName("btn blue-btn footer-download-btn");//去除打开按钮
    if(!shouldFixPlayBtn()) return;
    replaceTip();
    removeElementsByClassName("btn blue-btn vt");//去除打开视频按钮盘下载提示
//    removeElementsByClassName("download-tip");//去除百度网盘下载提示
    removeElementsByClassName("btn orange-btn");//去除百度网盘下载按钮
    addPlayElements();//添加播放按钮
}

function removeElementsByClassName(className){
    var elements = document.getElementsByClassName(className);
    for(var i = 0; i< elements.length; i++){
        elements[i].parentNode.removeChild(elements[i]);
    }
}

function removeElementsById(nodeId){
    var element = document.getElementById(nodeId);
    if(element) element.parentNode.removeChild(element);
}

function shouldFixPlayBtn(){
    var items = document.getElementsByClassName("btn blue-btn footer-download-btn") ;
    return items.length == 0;
}

function replaceTip(){
//    var elements = document.getElementsByClassName("temp-tip");
    var elements = document.getElementsByClassName("download-tip");
    elements[0].innerHTML = "请选择清晰度推送到电视上播放"
}

function addPlayElements(){
    var parentNode = document.getElementsByClassName("download-box-hack");
    if(parentNode.length == 0)return;
    parentNode = parentNode[0];
    parentNode.innerHTML = "<span class=\"btn blue-btn vt\" id=\"play-btn-low\">流畅</span>\n\
    <span class=\"btn blue-btn vt\" id=\"play-btn-high\">高清</span>";
    var playLowBtn = document.getElementById("play-btn-low");
    var playHighBtn = document.getElementById("play-btn-high");
    var imgUrl = getVideoThumbnail();
    var allDic = window.yunData;
    playLowBtn.addEventListener("click", function(){
//                                var dic = new Object();
//                                dic["path"] = allDic["file_list"][0]["path"];
//                                dic["type"] = "M3U8_AUTO_480";
//                                dic["imgUrl"] = imgUrl;
//                                var messgeToPost = {"videoPlay":dic};
                                var messgeToPost = "{\"path\":\"" + allDic["file_list"][0]["path"] + "\",\"type\":" + "\"M3U8_480_360\"" + ",\"imgUrl\":\"" + imgUrl + "\"}"
                                sendMessage(messgeToPost);
                                });
    
    playHighBtn.addEventListener("click", function(){
//                                 var dic = new Object();
//                                 dic["path"] = allDic["file_list"][0]["path"];
//                                 dic["type"] = "M3U8_AUTO_720";
//                                 dic["imgUrl"] = imgUrl;
//                                 var messgeToPost = {"videoPlay":dic};
                                 var messgeToPost = "{\"path\":\"" + allDic["file_list"][0]["path"] + "\",\"type\":" + "\"M3U8_854_480\"" + ",\"imgUrl\":\"" + imgUrl + "\"}"
                                 sendMessage(messgeToPost);
                                 });
}

function getVideoThumbnail(){
    var elements = document.getElementsByTagName("img");
    debug(elements.length);
    for(var i = 0; i< elements.length; i++){
        var item = elements[i];
        if(item.src.indexOf("://thumbnail0.baidupcs.com")>0) {
            return item.src;
        }
    }
    return "";
}
function debug(info){
    var debugInfo = "JS Debug" + info;
    sendMessage(debugInfo);
}

function sendMessage(messge){
//    window.webkit.messageHandlers.jsMessage.postMessage(messge);
    window.message.receiveMessage(messge);
}

debug("********** JS Start *************");
// debug(document.body.innerHTML);
fixHTML();
debug("********** JS End *************");

